*{
  padding: 0;
  margin: 0;
  box-sizing: border-box;
}
.attribution {
    font-size: 11px;
    text-align: center;
  }

.attribution a {
color: hsl(228, 45%, 44%);
}
body{
  font-family: "Public Sans", sans-serif;
  font-weight: 400;
  font-size: 1.1rem;
  
}



li {
  list-style: none;
  display: inline-block;
  padding: 0 1rem; 
}
a{
  text-decoration: none;
  color: hsl(233, 8%, 62%);
}
a:hover{
  cursor: pointer;
}

.request{
  height: 100%;
  display: flex;
  align-items: center;
}

.request button {
  height: 60%;
  border-radius: 2rem;
  padding: 0.5rem 1.3rem;
  background: linear-gradient(to right, hsl(136, 70%, 63%), hsl(192, 68%, 56%));
  border: none;
  color: white;
}
button:hover{
  cursor: pointer;
  opacity: 0.7;
}

.desktop_navbar {
  display: flex;
  align-items: center;
  justify-content: space-around;
  height: 4rem;
  margin: 0 auto;
  max-width: 113rem;
  position: relative;
  background-color: white;
  z-index: 3;

  
  .navigation {
    height: 100%;
    display: flex;
    align-items: center;

    ul {
      height: 100%;
      display: flex;
      align-items: center;

      li {
        margin-top: 1.4rem; 
        height: 65%;
        display: flex;
        align-items: center;
        flex-direction: column;;
        justify-content: space-between;
      }
      li:hover{
        /* background-color: red; */
        hr{

          display: block;
          width: 100%;
        }
        
      }
    }
  }
  
  hr {
    /* background-color: green; */
    display: none;
    /* width: auto; */
    border: none;
    height: 0.3rem;
    background: linear-gradient(to right, hsl(136, 65%, 51%), hsl(192, 70%, 51%));;
  }
 

  
}




.banner {
  /* height: 100%; */
  width: 100%;
  display: flex;
  justify-content: space-between;
  max-width: 113rem;
  max-height: 48rem;
  margin: 0 auto;
  background-color: #f3f3f5;
}

.right{
  width: 50%;
  position: relative;
  background: url('./images/bg-intro-desktop.svg');
  background-position: 10% 100%;
  background-repeat: no-repeat;
  
  /* overflow-x: hidden !important; */
  
  overflow-x: clip !important;
}

.before_right_svg {
  position: relative;
  content: '';
  top : -15%;
  left: 15%;
  z-index: 2;
}

.before_right_img {
  position: absolute;
  content: '';
  top: -15%;
  right: -18%;
}
.left{
  width: 50%;
  /* height: 100%; */
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  h1{
    margin: 1rem 3rem;
    font-size: 3rem;
    font-weight: 300;
    color: hsl(233, 26%, 24%);
  }
  p{
    margin: 1rem 3rem;
    color: hsl(233, 8%, 62%)
  }
  .btn{
    height: 2.5rem;
    margin: 1rem 3rem;
  }
}

.banner_left{
  width: 80%;
  display: flex;
  justify-content: center;
  flex-direction: column;

  
  
}


.information{
  max-width: 113rem;
  margin: 0 auto;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  /* align-items: center; */
  height: 40rem;
  background-color: #e8e8e9;
  position: relative;
  top: -5rem;
}

.reason{
  
  width: 83%;
  margin: 4rem auto 2rem auto;
  p{
    width: 55%;
    margin-top: 1rem;
    color: hsl(233, 8%, 62%)
  }
}

.info_cards{
  width: 83%;
  display: flex;
  justify-content: space-around;
  margin: 0 auto;
  height: 85%;
}
.card{
  width: 22%;
  min-height: 20rem;
  display: flex;
  flex-direction: column;
  justify-content: space-evenly;
  padding-bottom: 5rem;
  p {
    margin: -2rem 0 0rem 0;
    color: hsl(233, 8%, 62%)
  }
  h3 {
    color : hsl(233, 26%, 24%);
    font-weight: 450;
  }
}

.articles{
  max-width: 113rem;
  margin: 0 auto;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  height: 44rem;
  background-color: #f3f3f5;
  position: relative;
  /* padding-top: 5rem; */
  top: -5rem;

  h2{
    margin: 4% 10% 2% 10%;
    font-weight: 300;
    font-size: 2rem;
    height: 20%;
  }
  img{
    height: 13rem;
    border-top-left-radius: 0.5rem;
    border-top-right-radius: 0.5rem;
  }

  .card{
    width: 23%;
    height: 100%;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    padding-bottom: 5rem;
    border-radius: 0.2rem;
    span, p, h4{
      padding: 0 5%; 
    }

  }
}

.articles_cards{
  width: 83%;
  display: flex; 
  justify-content: space-evenly;
  margin: 0 auto;
  height: 85%;
  margin-bottom: 6rem;
}

.a_card{
    width: 22%;
    /* height: 100%; */
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    background-color: #FFFFFF;
    border-radius: 0.4rem;
    padding-bottom: 4rem;
    span{ 
      padding: 7% 5% 2% 5%; 
      color: hsl(233, 8%, 62%);
      font-size: 0.8rem;
    }
    p{
      padding: 2% 5%;
      line-break: auto;
      color: hsl(233, 8%, 62%);
      font-weight: 400;
      font-size: 1rem;
    }
    h4{
      padding: 2% 5%;
      color: hsl(233, 26%, 24%);
      font-weight: 550;
    }
    h4:hover{
      cursor: pointer;
      color: hsl(167, 76%, 67%)
    }

}

footer{
  position : relative;
  height: 0rem;
  margin: 0 auto;
  max-width: 113rem;
}

.footer_div{
  position: absolute;
  background-color: #2D314E;
  top: -5rem;
  height: 15rem;
  width: 100%;
  display: flex;
  align-items: center;;
  
  a:hover{
    color:  hsl(136, 70%, 63%);
  }
}

.left_footer{
  width: 60%;
  height: 40%;
  display: flex;
  justify-content: space-evenly;
}
.social{
  display: flex;
  flex-direction: column;
  justify-content: space-between;

  .logo svg{
    color: white;
  }
}
.social_icons{
  display: flex;
  justify-content: space-between;

  svg:hover {
    cursor: pointer;
    
  }
  svg:hover path{
    fill: hsl(136, 70%, 63%);
  }
}
 .about, .career{
  display: flex;
  flex-direction: column;
  justify-content: space-evenly;
  a {
    color: white;
    font-size: 1.1rem;
  }
}

.right_footer{
  width: 40%;
  height: 40%;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  align-items: center;
  .request{
    height: 60%;
    
  }
  /* .request:hover{
    background-color: white;
  } */
  .request .btn:hover{
    opacity: 1;
    background: linear-gradient(to right, hsl(135, 32%, 63%), hsl(197, 53%, 80%));;
  }
  span{
    color: white;
    font-size: 0.8rem;
  }
}


@media (max-width: 1000px){
  .information{
    height: 100rem;
  }
  .info_cards{
    flex-direction: column;
  }
  .card{
    width: 98%;
    min-height: 25%;
    padding-bottom: 0%;
    justify-content: safe;
  }
  #last{
    /* margin-bottom: 18rem;   */
  }
 


}

@media (max-width: 750px){
  .card{
    align-items: center;
    text-align: center;
  }
  .reason{
    text-align: center;
    p{
      width: 98%;
    }
  }
  .articles{
    height: 160rem;

    h2{
      height: 1%;
      text-align: center;
      margin-left:0;
      margin-right: 0;
      margin-top: 5rem; 
    }
  }

  .articles_cards{
    flex-direction: column;
    justify-content: safe;
    height: 95%;
  }

  .a_card{
    width: 98%;
    padding-bottom: 1rem;
    height: 23%;
    justify-content:start;
    img{
      height: 55%;
    }
  }
}

@media (max-width: 600px) {

  .banner{
    flex-direction: column-reverse;
  }
  .left{
    width: 100%;
  }
  .banner_left {
    text-align: center;

    h1{
      margin: 2rem 0;
    }
    p{
      margin: 1rem 0 2rem 0;
    }
    .request {
      height: 10%;
    }
  }
  .right{
    width: 100%;
    background: url('./images/bg-intro-mobile.svg');
    background-repeat: no-repeat;
    background-position: center;  
    background-size: cover;
    position: relative;
    top: 10%; 
  }
  .before_right_svg{
    
    /* background-size: ; */
    left: 0;
    top: -10%;
    img{
      height: 50%;
      width: 100%;
    }
  }

  .banner_left {
    h1{
      font-size: 2.53rem;
      list-style: auto;
      
    }
    .request {
      margin-bottom: 1rem;
    }
    align-items: center;
  }


  .information {
    top:0;
  }
  .articles{
    top: 0;
  }



  .footer_div {
    flex-direction: column;
    height: 30rem;
    justify-content: space-evenly;
  }
  .left_footer{
    flex-direction: column;
    height: 90%;

    .social {
      height: 40%;
      justify-content: space-evenly;

      .social_icons{
        justify-content: space-around;
      }
    }
    .about {
      height: 30%;
    }
    .career{
      height: 30%;
    }
  }




  .right_footer{
    justify-content: space-evenly;
    width: 60%;
    .request{
      height: 40%;
    }

  }
}

@media (max-width: 700px){
  .desktop_navbar{
    display: none;
  }
  .mobile_navbar{
    display: flex !important;
    /* display: flex; */
    align-items: center;
    justify-content: space-around;
    height: 4rem;
    margin: 0 auto;
    max-width: 113rem;
    position: relative;
    background-color: white;
    z-index: 3;
  }
  /* .show {
    display: flex !important;
  } */
  
  #navigation{
    display: none;
    height: 19.5rem;
    width : 90%;
    position: absolute;
    left: 0;
    top: 6rem;
    left: 5%;
    z-index: 4;
    background-color: white;
    border-radius: 0.5rem;

    ul{
      display: flex;
      flex-direction: column;
      justify-content: space-evenly;
      align-items: center;
      width: 100%;
    }
    li {
      text-align: center;
      display: inline-block;
    }
  }

}














